%define upstream_name    Sysadm-Install
%define upstream_version 0.46

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Typical installation tasks for system administrators
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://cpan.metacpan.org/authors/id/M/MS/MSCHILLI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Log::Log4perl) >= 1.280.0
BuildRequires: perl(Term::ReadKey)
BuildArch:  noarch

%description
Have you ever wished for your installation shell scripts to run
reproducibly, without much programming fuzz, and even with optional logging
enabled? Then give up shell programming, use Perl.

'Sysadm::Install' executes shell-like commands performing typical
installation tasks: Copying files, extracting tarballs, calling 'make'. It
has a 'fail once and die' policy, meticulously checking the result of every
operation and calling 'die()' immediately if anything fails.

'Sysadm::Install' also supports a _dry_run_ mode, in which it logs
everything, but suppresses any write actions. Dry run mode is enabled by
calling 'Sysadm::Install::dry_run(1)'. To switch back to normal, call
'Sysadm::Install::dry_run(0)'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/one-liner

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.460.0-3.mga6
+ Revision: 1033589
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.460.0-2.mga6
+ Revision: 968532
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 0.460.0-1.mga6
+ Revision: 852926
- update to 0.46

* Wed Oct 15 2014 umeabot <umeabot> 0.440.0-3.mga5
+ Revision: 745938
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.440.0-2.mga5
+ Revision: 686299
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.440.0-1.mga5
+ Revision: 640017
- update to 0.44

* Sat Oct 19 2013 umeabot <umeabot> 0.430.0-2.mga4
+ Revision: 527315
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.430.0-1.mga4
+ Revision: 439905
- update to 0.43

* Sun Jan 13 2013 umeabot <umeabot> 0.410.0-2.mga3
+ Revision: 373005
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.410.0-1.mga3
+ Revision: 342642
- update to 0.41

* Mon Sep 17 2012 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 295067
- update to 0.40

* Thu May 31 2012 shlomif <shlomif> 0.390.0-1.mga3
+ Revision: 252248
- New version - 0.39
- imported package perl-Sysadm-Install


* Tue Jan 10 2012 cpan2dist 0.38-1mga
- initial mageia release, generated with cpan2dist
